Update Skill In Archer
curl --request PATCH \
--url https://{api_endpoint}/v1/applications/{catalog_ref_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hidden": true
}'import requests
url = "https://{api_endpoint}/v1/applications/{catalog_ref_id}"
payload = { "hidden": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({hidden: true})
};
fetch('https://{api_endpoint}/v1/applications/{catalog_ref_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Artifact Management
Update Skill In Archer
deprecated
This operation will no longer be available after 2025-04-30 and will be discontinued in upcoming weeks due to the deprecation of the direct use of apps and skills in the AI agent. Use tools to complete specific tasks through agents.
Update Skill In Archer
⌘I

